MVN

com.amplifyframework : core-kotlin

Maven & Gradle

Sep 27, 2022
129 stars

Amplify Framework for Android - Kotlin facade for Core library · Amplify Framework for Android - Kotlin facade for Core library

<dependency>
    <groupId>com.amplifyframework</groupId>
    <artifactId>core-kotlin</artifactId>
    <version>0.21.4</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of com.amplifyframework : core-kotlin to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 0.21.4
  • Latest Release Candidate: 0.12.3-rc

All Versions

Choose a version of com.amplifyframework : core-kotlin to add to Maven or Gradle - All Versions:

  • Version Updated
  • core-kotlin-0.21.4

    Sep 27, 2022
  • core-kotlin-0.21.3

    Aug 31, 2022
  • core-kotlin-0.21.2

    Aug 16, 2022
  • core-kotlin-0.21.1

    Aug 11, 2022
  • core-kotlin-0.21.0

    Aug 04, 2022
  • core-kotlin-0.20.5

    Jul 28, 2022
  • core-kotlin-0.20.4

    Jul 26, 2022
  • core-kotlin-0.20.3

    Jul 20, 2022
  • core-kotlin-0.20.2

    Jul 07, 2022
  • core-kotlin-0.20.1

    Jun 30, 2022
  • core-kotlin-0.20.0

    Jun 23, 2022
  • core-kotlin-0.19.7

    Jun 16, 2022
  • core-kotlin-0.19.6

    Jun 09, 2022
  • core-kotlin-0.20.5-dev-preview.0

    May 31, 2022
  • core-kotlin-0.19.5

    May 23, 2022
  • core-kotlin-0.19.4

    May 19, 2022
  • core-kotlin-0.19.3

    Apr 28, 2022
  • core-kotlin-0.20.0-dev-preview.0

    Apr 27, 2022
  • core-kotlin-0.19.2

    Apr 20, 2022
  • core-kotlin-0.19.1

    Apr 14, 2022
  • core-kotlin-0.19.0

    Apr 07, 2022
  • core-kotlin-0.18.0

    Mar 31, 2022
  • core-kotlin-0.17.0

    Mar 25, 2022
  • core-kotlin-0.16.2

    Mar 17, 2022
  • core-kotlin-0.16.1

    Mar 07, 2022
  • core-kotlin-0.16.0

    Feb 18, 2022
  • core-kotlin-0.15.3

    Feb 04, 2022
  • core-kotlin-0.15.2

    Jan 20, 2022
  • core-kotlin-0.15.1

    Jan 03, 2022
  • core-kotlin-0.15.0

    Dec 10, 2021
  • core-kotlin-0.14.1

    Dec 06, 2021
  • core-kotlin-0.14.0

    Nov 23, 2021
  • core-kotlin-0.13.1

    Nov 17, 2021
  • core-kotlin-0.12.3-rc

    Nov 17, 2021
  • core-kotlin-0.13.0

    Nov 11, 2021
  • core-kotlin-0.12.3

    Nov 01, 2021
  • core-kotlin-0.12.2

    Oct 14, 2021
  • core-kotlin-0.12.1

    Oct 08, 2021
  • core-kotlin-0.12.0

    Sep 30, 2021
  • core-kotlin-0.11.0

    Sep 21, 2021
  • core-kotlin-0.10.0

    Sep 10, 2021
  • core-kotlin-0.9.1

    Sep 02, 2021
  • core-kotlin-0.9.0

    Aug 26, 2021
  • core-kotlin-0.8.1

    Aug 19, 2021
  • core-kotlin-0.8.0

    Aug 06, 2021
  • core-kotlin-0.7.0

    Jul 27, 2021
  • core-kotlin-0.6.0

    Jul 15, 2021
  • core-kotlin-0.5.0

    Jul 08, 2021
  • core-kotlin-0.4.1

    Jul 01, 2021
  • core-kotlin-0.4.0

    Jun 24, 2021
  • core-kotlin-0.3.0

    Jun 17, 2021
  • core-kotlin-0.2.0

    Jun 10, 2021
  • core-kotlin-0.1.9

    Jun 07, 2021
  • core-kotlin-0.1.8

    Jun 03, 2021
  • core-kotlin-0.1.7

    May 25, 2021
  • core-kotlin-0.1.6

    May 03, 2021
  • core-kotlin-0.1.5

    Apr 26, 2021
  • core-kotlin-0.1.4

    Apr 14, 2021
  • core-kotlin-0.1.3

    Mar 27, 2021
  • core-kotlin-0.1.2

    Mar 18, 2021
  • core-kotlin-0.1.1

    Feb 26, 2021
  • core-kotlin-0.1.0

    Feb 25, 2021

How to add a dependency to Maven

Add the following com.amplifyframework : core-kotlin maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>com.amplifyframework</groupId>
    <artifactId>core-kotlin</artifactId>
    <version>0.21.4</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following com.amplifyframework : core-kotlin gradle dependency to your build.gradle file:

implementation 'com.amplifyframework:core-kotlin:0.21.4'

Gradle Kotlin DSL: Add the following com.amplifyframework : core-kotlin gradle kotlin dependency to your build.gradle.kts file:

implementation("com.amplifyframework:core-kotlin:0.21.4")

How to add a dependency to SBT Scala

SBT Scala: Add the following com.amplifyframework : core-kotlin sbt scala dependency to your build.sbt file:

libraryDependencies += "com.amplifyframework" % "core-kotlin" % "0.21.4"

Advertisement